#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['antipetros_discordbot',
 'antipetros_discordbot.abstracts',
 'antipetros_discordbot.auxiliary_classes',
 'antipetros_discordbot.auxiliary_classes.for_cogs',
 'antipetros_discordbot.bot_support',
 'antipetros_discordbot.bot_support.sub_support',
 'antipetros_discordbot.bot_support.sub_support.sub_support_helper',
 'antipetros_discordbot.cogs',
 'antipetros_discordbot.cogs.antistasi_tool_cogs',
 'antipetros_discordbot.cogs.bot_admin_cogs',
 'antipetros_discordbot.cogs.community_events_cogs',
 'antipetros_discordbot.cogs.dev_cogs',
 'antipetros_discordbot.cogs.discord_admin_cogs',
 'antipetros_discordbot.cogs.general_cogs',
 'antipetros_discordbot.cogs.special_channels_cogs',
 'antipetros_discordbot.dev_tools_and_scripts',
 'antipetros_discordbot.dev_tools_and_scripts.cli',
 'antipetros_discordbot.dev_tools_and_scripts.data',
 'antipetros_discordbot.dev_tools_and_scripts.gui',
 'antipetros_discordbot.dev_tools_and_scripts.gui.converted_designer_files',
 'antipetros_discordbot.dev_tools_and_scripts.gui.ressources',
 'antipetros_discordbot.dev_tools_and_scripts.scripts',
 'antipetros_discordbot.dev_tools_and_scripts.snippets',
 'antipetros_discordbot.dev_tools_and_scripts.snippets.snippet_templates',
 'antipetros_discordbot.dev_tools_and_scripts.template_handling',
 'antipetros_discordbot.dev_tools_and_scripts.template_handling.templates',
 'antipetros_discordbot.engine',
 'antipetros_discordbot.init_userdata',
 'antipetros_discordbot.utility',
 'antipetros_discordbot.utility.discord_markdown_helper',
 'antipetros_discordbot.utility.gidsql',
 'antipetros_discordbot.utility.gidsql.creators',
 'antipetros_discordbot.utility.replacements']

package_data = \
{'': ['*'],
 'antipetros_discordbot': ['logs/*', 'logs\\old_logs/*'],
 'antipetros_discordbot.dev_tools_and_scripts': ['gui/ressources/icons/*',
                                                 'gui/ressources/images/*'],
 'antipetros_discordbot.init_userdata': ['data_pack/*',
                                         'data_pack/apps/*',
                                         'data_pack/archive/*',
                                         'data_pack/bot_feature_suggestion_data/*',
                                         'data_pack/config/*',
                                         'data_pack/database/*',
                                         'data_pack/database/sql_procedures/*',
                                         'data_pack/database/sql_procedures/save_suggestion_sql/*',
                                         'data_pack/debug/*',
                                         'data_pack/env_files/*',
                                         'data_pack/env_files/user_env_files/*',
                                         'data_pack/fixed_data/*',
                                         'data_pack/fixed_data/colors/*',
                                         'data_pack/fixed_data/css/*',
                                         'data_pack/fixed_data/default_configs/*',
                                         'data_pack/fixed_data/documentation/*',
                                         'data_pack/fixed_data/embed_data/*',
                                         'data_pack/fonts/*',
                                         'data_pack/image_files/*',
                                         'data_pack/image_files/faq_images/*',
                                         'data_pack/image_files/gifs/*',
                                         'data_pack/image_files/icons/*',
                                         'data_pack/image_files/other_images/*',
                                         'data_pack/image_files/stamps/*',
                                         'data_pack/image_files/suggestion_extra_data/*',
                                         'data_pack/json_data/*',
                                         'data_pack/json_data/arma_config_data/*',
                                         'data_pack/misc/*',
                                         'data_pack/misc/saved_embeds/*',
                                         'data_pack/performance_data/*',
                                         'data_pack/shutdown_trigger/*',
                                         'data_pack/sound_files/*',
                                         'data_pack/stats/*',
                                         'data_pack/temp_files/*',
                                         'data_pack/templates/*',
                                         'data_pack/templates/report_templates/*',
                                         'data_pack/unfoldered_files/*']}

install_requires = \
['arrow==0.17.0',
 'watchgod==0.6',
 'aiohttp==3.7.3',
 'fuzzywuzzy==0.18.0',
 'googletrans==4.0.0rc1',
 'dpytest==0.0.22',
 'autopep8==1.5.5',
 'pyfiglet==0.8.post1',
 'async_property==0.2.1',
 'Jinja2==2.11.2',
 'icecream==2.0.0',
 'psutil==5.8.0',
 'marshmallow==3.10.0',
 'WeasyPrint==52.2',
 'click==7.1.2',
 'pytz==2020.5',
 'paramiko==2.7.2',
 'webdavclient3==3.14.5',
 'emoji==1.1.0',
 'matplotlib==3.3.3',
 'tldextract==3.1.0',
 'cryptography==3.3.1',
 'dateparser==1.0.0',
 'humanize==3.2.0',
 'aiosqlite==0.16.1',
 'antistasi_template_checker==0.1.1',
 'asyncstdlib==3.9.0',
 'beautifulsoup4==4.9.3',
 'discord==1.0.1',
 'gidappdata==0.1.13',
 'gidconfig==0.1.16',
 'gidlogger==0.1.9',
 'Pillow==8.1.0',
 'PyQt5==5.15.2',
 'python-dotenv==0.15.0',
 'python_magic==0.4.22',
 'udpy==2.0.0']

entry_points = \
{'console_scripts': ['antipetrosbot = antipetros_discordbot.__main__:cli']}

setup(name='antipetros_discordbot',
      version='0.2.12',
      description='A Discord Bot for the Antistasi (ArmA 3) Community Discord Server',
      author='antistasi_tools',
      author_email=None,
      url='https://github.com/Giddius/Antipetros_Discord_Bot',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      entry_points=entry_points,
     )
